| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::gapi::s11n::IIStream Struct Referenceabstract

This structure is an interface for deserialization routines. More...

`#include <opencv2/gapi/s11n.hpp>`

Collaboration diagram for cv::gapi::s11n::IIStream:

## Public Member Functions
virtual | ~IIStream ()=default
virtual IIStream & | operator>> (bool &)=0
virtual IIStream & | operator>> (char &)=0
virtual IIStream & | operator>> (double &)=0
virtual IIStream & | operator>> (float &)=0
virtual IIStream & | operator>> (int &)=0
virtual IIStream & | operator>> (short &)=0
virtual IIStream & | operator>> (std::string &)=0
virtual IIStream & | operator>> (std::vector< bool >::reference)=0
virtual IIStream & | operator>> (uint32_t &)=0
virtual IIStream & | operator>> (uint64_t &)=0
virtual IIStream & | operator>> (unsigned char &)=0
virtual IIStream & | operator>> (unsigned short &)=0

## Detailed Description

This structure is an interface for deserialization routines.

It's main purpose is to provide multiple overloads for operator>>() with basic C++ in addition to OpenCV/G-API types.

This structure can be inherited and further extended with additional types.

For example, it is utilized in cv::gapi::s11n::detail::S11N as input parameter in deserialize() method.

## Constructor & Destructor Documentation

## ◆ ~IIStream()

virtual cv::gapi::s11n::IIStream::~IIStream | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ operator>>() [1/12]

virtual IIStream & cv::gapi::s11n::IIStream::operator>> | ( | bool & |  | ) |
| pure virtual

## ◆ operator>>() [2/12]

virtual IIStream & cv::gapi::s11n::IIStream::operator>> | ( | char & |  | ) |
| pure virtual

## ◆ operator>>() [3/12]

virtual IIStream & cv::gapi::s11n::IIStream::operator>> | ( | double & |  | ) |
| pure virtual

## ◆ operator>>() [4/12]

virtual IIStream & cv::gapi::s11n::IIStream::operator>> | ( | float & |  | ) |
| pure virtual

## ◆ operator>>() [5/12]

virtual IIStream & cv::gapi::s11n::IIStream::operator>> | ( | int & |  | ) |
| pure virtual

## ◆ operator>>() [6/12]

virtual IIStream & cv::gapi::s11n::IIStream::operator>> | ( | short & |  | ) |
| pure virtual

## ◆ operator>>() [7/12]

virtual IIStream & cv::gapi::s11n::IIStream::operator>> | ( | std::string & |  | ) |
| pure virtual

## ◆ operator>>() [8/12]

virtual IIStream & cv::gapi::s11n::IIStream::operator>> | ( | std::vector< bool >::reference |  | ) |
| pure virtual

## ◆ operator>>() [9/12]

virtual IIStream & cv::gapi::s11n::IIStream::operator>> | ( | uint32_t & |  | ) |
| pure virtual

## ◆ operator>>() [10/12]

virtual IIStream & cv::gapi::s11n::IIStream::operator>> | ( | uint64_t & |  | ) |
| pure virtual

## ◆ operator>>() [11/12]

virtual IIStream & cv::gapi::s11n::IIStream::operator>> | ( | unsigned char & |  | ) |
| pure virtual

## ◆ operator>>() [12/12]

virtual IIStream & cv::gapi::s11n::IIStream::operator>> | ( | unsigned short & |  | ) |
| pure virtual

The documentation for this struct was generated from the following file:

- opencv2/gapi/s11n.hpp